Skip to main content
Back to API List This API captures user feedback and stores it in Search AI, where it is displayed as part of Answer Analytics.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/<AppId>/search/feedback
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopeFeedback for Search AI

Query Parameters

ParameterDescriptionMandatory
AppIDYour application ID. To view it, go to Dev Tools under App Settings and check the API scopes.Yes

Request Parameters

ParameterDescriptionMandatory
searchRequestIdThe search request ID returned with the answer in response to a search query. Starts with fsh, for example fsh-a7dd595f-xxxx-xxxx-9b1c-7635d6ea113c.Yes
feedbackLevelCurrently supports only smartAnswer.Yes
eventThe feedback response: thumbsDown (negative) or thumbsUp (positive).Yes
commentsOptional user comments. Use the tags field to pass an array of strings. These values are displayed in the Answer Insights details page.No

Sample Request

curl --location 'https://env.domain.com/api/public/bot/st-66c4xxxx-6eae-5ada-b0f8-a2022e945a10/search/feedback' \
--header 'auth: eyJhbGciOiJaxxxxxxx_abcd' \
--header 'Content-Type: application/json' \
--data '{
    "searchRequestId": "fsh-a7dd595f-7ba2-59c2-9b1c-7635d6ea113c",
    "feedbackLevel": "smartAnswer",
    "event": "thumbsDown",
    "comments": {
        "tags": [
            "Incorrect Answer",
            "Incorrect Citation",
            "Incorrect Formatting",
            "Ambiguous",
            "Missing details",
            "Hallucination",
            "Out of Date"
        ]
    }
}'